package cz.moneta.test.dsl.ib.cards.application;

import cz.moneta.test.dsl.ib.IbPageFlow;
import cz.moneta.test.harness.support.web.*;

import static cz.moneta.test.dsl.ib.cards.application.EmploymentDetailsPage.PAGE_NAME;

@Wait(PAGE_NAME)
public interface EmploymentDetailsPage extends IbPageFlow<EmploymentDetailsPage> {

    String PAGE_NAME = "//*[@id=\"mainFrm\"]/table[1]/tbody/tr/td[text()='Zaměstnání']";
    String CONTINUE_BUTTON = "//*[@id=\"mainFrm\"]/table[4]/tbody/tr/td[2]/img";

    @Click(CONTINUE_BUTTON)
    ApplicationConfirmationPage continueApplicationConfirmation();

    @TypeInto(value = "RS_CISTYMESICPRIJEM3M", by = Lookup.ID)
    EmploymentDetailsPage setApproximateMonthlyIncomeAverage(int approximateMonthlyIncomeAverage);

    @TypeInto(value = "RS_CELKOVYPRIJEMDOM", by = Lookup.ID)
    EmploymentDetailsPage setHouseholdMonthlyIncome(int householdMonthlyIncome);

    @TypeInto(value = "RS_JINEMESSPLATKY", by = Lookup.ID)
    EmploymentDetailsPage setOtherNonMMBMonthlyPayments(int otherNonMMBMonthlyPayments);

    @TypeInto(value = "RS_OSTATNIZIVOTNINAKLADY", by = Lookup.ID)
    EmploymentDetailsPage setOtherMonthlyExpenses(int otherMonthlyExpenses);

    @TypeInto(value = "RS_SRAZKYZEMZDY", by = Lookup.ID)
    EmploymentDetailsPage setSalaryDiscounts(int salaryDiscounts);

    @Select(value = "RS_POVOLANI", by = Lookup.ID)
    EmploymentDetailsPage setEmployment(String employment);

    @TypeInto(value = "RS_DATUMZAMOD", by = Lookup.ID)
    EmploymentDetailsPage setEmploymentStartDate(String employmentStartDate);

    @Select(value = "RS_ZAMZEME", by = Lookup.ID)
    EmploymentDetailsPage setCounty(String county);

}
